Upload File

post/api/file-uploads

Upload a file. Note that the file must always be the last parameter in the request body.

Request

Body multipart/form-data

  • purposestringrequired
    Allowed values:kyc-doc-upload

    The purpose this document is being uploaded for.

  • accountIdstringrequired

    Id of the account owning the file upload.

  • filestring<binary>required

    The file being uploaded.

Response

File successfully uploaded.

Body application/json

  • idstringrequired

    Id of the file.

  • purposestringrequired
    Allowed values:kyc-doc-upload

    The purpose the file is related to.

  • livenessstringrequired
    Allowed values:livetest

    The resource liveness mode.

  • accountIdstringrequired

    Id of the account owning the file upload.

  • fileNamestringrequired

    Name of file.

  • fileSizenumberrequired

    Size of the file in bytes.

  • mimeTypestringrequired

    The type of file.

  • statusstringrequired
    Allowed values:createddeletingdeleted

    The current status of the file upload.

  • expiresAtstring

    Date when the file will be considered expired and subsequently deleted.